## com.bbn.openmap.examples.beanbox
Class LayoutClassEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          com.bbn.openmap.examples.beanbox.LayoutClassEditor

All Implemented Interfaces:
  java.beans.PropertyEditor

public class LayoutClassEditor
extends java.beans.PropertyEditorSupport

Custom property editor for the layout class property of a `SimpleBeanContainer`.

Constructor Summary
`LayoutClassEditor()`

Method Summary
`java.lang.String[]` `getTags()` returns a String array containing the class names of two layout managers: viz the NullLayout and the WallFormationLayout

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getAsText, getCustomEditor, getJavaInitializationString, getValue, isPaintable, paintValue, removePropertyChangeListener, setAsText, setValue, supportsCustomEditor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LayoutClassEditor

    public LayoutClassEditor()

Method Detail

### getTags

    public java.lang.String[] getTags()

  returns a String array containing the class names of two layout managers: viz the NullLayout and the WallFormationLayout

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details